<?php

/**
 * ------------------------------------------------------------------------
 * BlueMind Stats Portal, aka bm-stats
 * ------------------------------------------------------------------------
 * @license : GNU Affero General Public License Version 3 <http://www.gnu.org/licenses>
 * @author  : Pascal SALAUN 
 * @Website : http://www.breizh-ltd.com <http://www.breizh-ltd.com>
 * ------------------------------------------------------------------------
 **/
 

function list_reporting_files() {

        Global $path_to_data ;
        $path_to_reporting_file = $path_to_data.$_SESSION['domainName']."/reporting/";

        $list_of_file = array();
        if(is_dir($path_to_reporting_file)) {
                $dir = opendir($path_to_reporting_file);
                while($val=readdir($dir)) {
                        if(preg_match("/\.pdf/",$val)) {
                         $this_list_of_file[] = "$val";
                        };
                };
                closedir($dir);
        };
        return $this_list_of_file ;
};

function display_list_reporting_files($this_list_of_file) {

        Global $l_reportTitle;
        $path_to_reporting_file = "./mailstat/".$_SESSION['domainName']."/reporting/";

        $html  ="
                <br>
                <div style='width: 800px; margin-left: auto; margin-right:auto'>";
        $html .="<div id='ombreeH12'><h1 id='h12' class=''>$l_reportTitle :</h1></div>\n";
        $html .= "<div class='info_msg2'>\n";
        $html .= "<ul id='reporting'>\n";

        if(is_array($this_list_of_file) and !empty($this_list_of_file) ) {
                sort($this_list_of_file);

                foreach($this_list_of_file as $file) {
                        $html .= "<li id='reporting'> <a href='$path_to_reporting_file$file' target='_blank'> $file </li>\n";

                };
        };
        $html .= "</ul>\n";
        $html .= "</div>\n";
        $html .= "</div>\n";

        return $html;

}

?>