<?php
/**
* ------------------------------------------------------------------------
* BlueMind Stats Portal, aka bm-stats
* ------------------------------------------------------------------------
* @license : GNU Affero General Public License Version 3 <http://www.gnu.org/licenses>
* @author  : Pascal SALAUN 
* @Website : http://www.breizh-ltd.com <http://www.breizh-ltd.com>
* ------------------------------------------------------------------------
**/

function getJSONDataFor($domain,$user) {

    $thisArray = array( 
                        0 => array('name'=> "userSpaceView", 'data' => array()), 
                        1 => array('name'=> "realSpace", 'data' => array())
                      );


    if(!empty($domain) and !empty($user)) {
        $thisUseFile = "/var/lib/bm-stats/$domain/userQuota/$user" ;
      
        if(file_exists($thisUseFile)) 
            $file = file($thisUseFile);


        if(!empty($file)) {
            foreach ($file as $thisLine) {
	        $line = str_replace(";",",",$thisLine) ;
                $val = explode(",",$line) ;

                $time        = $val['0']*1000;
                $cyrusSpace  = round($val['1']/1000); 
                $quota       = round($val['2']/1000);
                $fsSpace     = round($val['3']/1000);

                $thisArray[0]['data'][] = array($time,$cyrusSpace);
                $thisArray[1]['data'][] = array($time,$fsSpace);
            }
        };
    };



    if(!empty($domain) and !empty($user) and $user=='allDomainOverview' ) {
        $thisUseFile = "/var/lib/bm-stats/general/allDomainQuotaFile.dat" ;

        $thisArray[2] = array('name'=> "allDomainRealSpace", 'data' => array());

        if(file_exists($thisUseFile)) 
            $file = file($thisUseFile);
     
        if(!empty($file)) {
            foreach ($file as $thisLine) {
              
                if(preg_match("/$domain|Global/", $thisLine)) {
                    $fsSpace = 0 ;

                    $line = str_replace(";",",",$thisLine) ;
                    $val = explode(",",$line) ;
              
                    $time = preg_replace("/[^0-9]/","",$val['0'])*1000; 
                    $cyrusSpace  = round($val['2']/1000);
                    if($val['3']) 
                        $fsSpace = round($val['3']/1000);
                  
                    if($val['1'] == 'Global') {
                        $thisArray[2]['data'][] = array($time,$fsSpace);
                    } else {

                        $thisArray[0]['data'][] = array($time,$cyrusSpace);
                        $thisArray[1]['data'][] = array($time,$fsSpace);
                    };
                }
            }
        }
     }


    $output = json_encode($thisArray, JSON_NUMERIC_CHECK);   

    echo $output ;
}



getJSONDataFor($_GET['domain'],$_GET['user']);

?>
